<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:15 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>org.gradle.api Class Hierarchy (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="org.gradle.api Class Hierarchy (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/package-tree.html">Prev</a></li>
<li><a href="../../../org/gradle/api/artifacts/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/api/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package org.gradle.api</h1>
<span class="strong">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="strong">Object</span></a>
<ul>
<li type="circle">org.gradle.api.internal.AbstractTask (implements org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.TaskInternal)
<ul>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/DefaultTask.html" title="class in org.gradle.api"><span class="strong">DefaultTask</span></a></li>
</ul>
</li>
<li type="circle">groovy.lang.<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/GroovyObjectSupport.html?is-external=true" title="class or interface in groovy.lang"><span class="strong">GroovyObjectSupport</span></a> (implements groovy.lang.<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/GroovyObject.html?is-external=true" title="class or interface in groovy.lang">GroovyObject</a>)
<ul>
<li type="circle">groovy.util.<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/util/BuilderSupport.html?is-external=true" title="class or interface in groovy.util"><span class="strong">BuilderSupport</span></a>
<ul>
<li type="circle">groovy.util.<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/util/AntBuilder.html?is-external=true" title="class or interface in groovy.util"><span class="strong">AntBuilder</span></a>
<ul>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/AntBuilder.html" title="class in org.gradle.api"><span class="strong">AntBuilder</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/Named.Namer.html" title="class in org.gradle.api"><span class="strong">Named.Namer</span></a> (implements org.gradle.api.<a href="../../../org/gradle/api/Namer.html" title="interface in org.gradle.api">Namer</a>&lt;T&gt;)</li>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/Namer.Comparator.html" title="class in org.gradle.api"><span class="strong">Namer.Comparator</span></a>&lt;T&gt; (implements java.util.<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Comparator.html?is-external=true" title="class or interface in java.util">Comparator</a>&lt;T&gt;)</li>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/Task.Namer.html" title="class in org.gradle.api"><span class="strong">Task.Namer</span></a> (implements org.gradle.api.<a href="../../../org/gradle/api/Namer.html" title="interface in org.gradle.api">Namer</a>&lt;T&gt;)</li>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang"><span class="strong">Throwable</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/7/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang"><span class="strong">Exception</span></a>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/RuntimeException.html?is-external=true" title="class or interface in java.lang"><span class="strong">RuntimeException</span></a>
<ul>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/GradleException.html" title="class in org.gradle.api"><span class="strong">GradleException</span></a>
<ul>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/BuildCancelledException.html" title="class in org.gradle.api"><span class="strong">BuildCancelledException</span></a></li>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/CircularReferenceException.html" title="class in org.gradle.api"><span class="strong">CircularReferenceException</span></a></li>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/GradleScriptException.html" title="class in org.gradle.api"><span class="strong">GradleScriptException</span></a></li>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/IllegalDependencyNotation.html" title="class in org.gradle.api"><span class="strong">IllegalDependencyNotation</span></a></li>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/InvalidActionClosureException.html" title="class in org.gradle.api"><span class="strong">InvalidActionClosureException</span></a></li>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/InvalidUserCodeException.html" title="class in org.gradle.api"><span class="strong">InvalidUserCodeException</span></a></li>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/InvalidUserDataException.html" title="class in org.gradle.api"><span class="strong">InvalidUserDataException</span></a></li>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/ProjectConfigurationException.html" title="class in org.gradle.api"><span class="strong">ProjectConfigurationException</span></a></li>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/UnknownDomainObjectException.html" title="class in org.gradle.api"><span class="strong">UnknownDomainObjectException</span></a>
<ul>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/UnknownProjectException.html" title="class in org.gradle.api"><span class="strong">UnknownProjectException</span></a></li>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/UnknownTaskException.html" title="class in org.gradle.api"><span class="strong">UnknownTaskException</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/UncheckedIOException.html" title="class in org.gradle.api"><span class="strong">UncheckedIOException</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/Action.html" title="interface in org.gradle.api"><span class="strong">Action</span></a>&lt;T&gt;</li>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/ActionConfiguration.html" title="interface in org.gradle.api"><span class="strong">ActionConfiguration</span></a></li>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api"><span class="strong">Buildable</span></a>
<ul>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/BuildableComponentSpec.html" title="interface in org.gradle.api"><span class="strong">BuildableComponentSpec</span></a> (also extends org.gradle.platform.base.<a href="../../../org/gradle/platform/base/ComponentSpec.html" title="interface in org.gradle.platform.base">ComponentSpec</a>)</li>
</ul>
</li>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang"><span class="strong">Comparable</span></a>&lt;T&gt;
<ul>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/Project.html" title="interface in org.gradle.api"><span class="strong">Project</span></a> (also extends org.gradle.api.plugins.<a href="../../../org/gradle/api/plugins/ExtensionAware.html" title="interface in org.gradle.api.plugins">ExtensionAware</a>, org.gradle.api.plugins.<a href="../../../org/gradle/api/plugins/PluginAware.html" title="interface in org.gradle.api.plugins">PluginAware</a>)</li>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/Task.html" title="interface in org.gradle.api"><span class="strong">Task</span></a> (also extends org.gradle.api.plugins.<a href="../../../org/gradle/api/plugins/ExtensionAware.html" title="interface in org.gradle.api.plugins">ExtensionAware</a>)</li>
</ul>
</li>
<li type="circle">org.gradle.util.Configurable&lt;T&gt;
<ul>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/NamedDomainObjectContainer.html" title="interface in org.gradle.api"><span class="strong">NamedDomainObjectContainer</span></a>&lt;T&gt; (also extends org.gradle.api.<a href="../../../org/gradle/api/NamedDomainObjectSet.html" title="interface in org.gradle.api">NamedDomainObjectSet</a>&lt;T&gt;)
<ul>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/PolymorphicDomainObjectContainer.html" title="interface in org.gradle.api"><span class="strong">PolymorphicDomainObjectContainer</span></a>&lt;T&gt;
<ul>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/ExtensiblePolymorphicDomainObjectContainer.html" title="interface in org.gradle.api"><span class="strong">ExtensiblePolymorphicDomainObjectContainer</span></a>&lt;T&gt; (also extends org.gradle.api.internal.rules.NamedDomainObjectFactoryRegistry&lt;T&gt;)</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/Describable.html" title="interface in org.gradle.api"><span class="strong">Describable</span></a></li>
<li type="circle">org.gradle.api.plugins.<a href="../../../org/gradle/api/plugins/ExtensionAware.html" title="interface in org.gradle.api.plugins"><span class="strong">ExtensionAware</span></a>
<ul>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/Project.html" title="interface in org.gradle.api"><span class="strong">Project</span></a> (also extends java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;T&gt;, org.gradle.api.plugins.<a href="../../../org/gradle/api/plugins/PluginAware.html" title="interface in org.gradle.api.plugins">PluginAware</a>)</li>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/Task.html" title="interface in org.gradle.api"><span class="strong">Task</span></a> (also extends java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;T&gt;)</li>
</ul>
</li>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang"><span class="strong">Iterable</span></a>&lt;T&gt;
<ul>
<li type="circle">java.util.<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util"><span class="strong">Collection</span></a>&lt;E&gt;
<ul>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/DomainObjectCollection.html" title="interface in org.gradle.api"><span class="strong">DomainObjectCollection</span></a>&lt;T&gt;
<ul>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/DomainObjectSet.html" title="interface in org.gradle.api"><span class="strong">DomainObjectSet</span></a>&lt;T&gt; (also extends java.util.<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;E&gt;)</li>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/NamedDomainObjectCollection.html" title="interface in org.gradle.api"><span class="strong">NamedDomainObjectCollection</span></a>&lt;T&gt;
<ul>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/NamedDomainObjectList.html" title="interface in org.gradle.api"><span class="strong">NamedDomainObjectList</span></a>&lt;T&gt; (also extends java.util.<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;E&gt;)</li>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/NamedDomainObjectSet.html" title="interface in org.gradle.api"><span class="strong">NamedDomainObjectSet</span></a>&lt;T&gt; (also extends java.util.<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;E&gt;)
<ul>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/NamedDomainObjectContainer.html" title="interface in org.gradle.api"><span class="strong">NamedDomainObjectContainer</span></a>&lt;T&gt; (also extends org.gradle.util.Configurable&lt;T&gt;)
<ul>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/PolymorphicDomainObjectContainer.html" title="interface in org.gradle.api"><span class="strong">PolymorphicDomainObjectContainer</span></a>&lt;T&gt;
<ul>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/ExtensiblePolymorphicDomainObjectContainer.html" title="interface in org.gradle.api"><span class="strong">ExtensiblePolymorphicDomainObjectContainer</span></a>&lt;T&gt; (also extends org.gradle.api.internal.rules.NamedDomainObjectFactoryRegistry&lt;T&gt;)</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">java.util.<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util"><span class="strong">List</span></a>&lt;E&gt;
<ul>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/NamedDomainObjectList.html" title="interface in org.gradle.api"><span class="strong">NamedDomainObjectList</span></a>&lt;T&gt; (also extends org.gradle.api.<a href="../../../org/gradle/api/NamedDomainObjectCollection.html" title="interface in org.gradle.api">NamedDomainObjectCollection</a>&lt;T&gt;)</li>
</ul>
</li>
<li type="circle">java.util.<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util"><span class="strong">Set</span></a>&lt;E&gt;
<ul>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/DomainObjectSet.html" title="interface in org.gradle.api"><span class="strong">DomainObjectSet</span></a>&lt;T&gt; (also extends org.gradle.api.<a href="../../../org/gradle/api/DomainObjectCollection.html" title="interface in org.gradle.api">DomainObjectCollection</a>&lt;T&gt;)</li>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/NamedDomainObjectSet.html" title="interface in org.gradle.api"><span class="strong">NamedDomainObjectSet</span></a>&lt;T&gt; (also extends org.gradle.api.<a href="../../../org/gradle/api/NamedDomainObjectCollection.html" title="interface in org.gradle.api">NamedDomainObjectCollection</a>&lt;T&gt;)
<ul>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/NamedDomainObjectContainer.html" title="interface in org.gradle.api"><span class="strong">NamedDomainObjectContainer</span></a>&lt;T&gt; (also extends org.gradle.util.Configurable&lt;T&gt;)
<ul>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/PolymorphicDomainObjectContainer.html" title="interface in org.gradle.api"><span class="strong">PolymorphicDomainObjectContainer</span></a>&lt;T&gt;
<ul>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/ExtensiblePolymorphicDomainObjectContainer.html" title="interface in org.gradle.api"><span class="strong">ExtensiblePolymorphicDomainObjectContainer</span></a>&lt;T&gt; (also extends org.gradle.api.internal.rules.NamedDomainObjectFactoryRegistry&lt;T&gt;)</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/Named.html" title="interface in org.gradle.api"><span class="strong">Named</span></a>
<ul>
<li type="circle">org.gradle.model.<a href="../../../org/gradle/model/ModelElement.html" title="interface in org.gradle.model"><span class="strong">ModelElement</span></a>
<ul>
<li type="circle">org.gradle.platform.base.<a href="../../../org/gradle/platform/base/ComponentSpec.html" title="interface in org.gradle.platform.base"><span class="strong">ComponentSpec</span></a>
<ul>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/BuildableComponentSpec.html" title="interface in org.gradle.api"><span class="strong">BuildableComponentSpec</span></a> (also extends org.gradle.api.<a href="../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api">Buildable</a>)</li>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/CheckableComponentSpec.html" title="interface in org.gradle.api"><span class="strong">CheckableComponentSpec</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/NamedDomainObjectFactory.html" title="interface in org.gradle.api"><span class="strong">NamedDomainObjectFactory</span></a>&lt;T&gt;</li>
<li type="circle">org.gradle.api.internal.rules.NamedDomainObjectFactoryRegistry&lt;T&gt;
<ul>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/ExtensiblePolymorphicDomainObjectContainer.html" title="interface in org.gradle.api"><span class="strong">ExtensiblePolymorphicDomainObjectContainer</span></a>&lt;T&gt; (also extends org.gradle.api.<a href="../../../org/gradle/api/PolymorphicDomainObjectContainer.html" title="interface in org.gradle.api">PolymorphicDomainObjectContainer</a>&lt;T&gt;)</li>
</ul>
</li>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/Namer.html" title="interface in org.gradle.api"><span class="strong">Namer</span></a>&lt;T&gt;</li>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/Plugin.html" title="interface in org.gradle.api"><span class="strong">Plugin</span></a>&lt;T&gt;</li>
<li type="circle">org.gradle.api.plugins.<a href="../../../org/gradle/api/plugins/PluginAware.html" title="interface in org.gradle.api.plugins"><span class="strong">PluginAware</span></a>
<ul>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/Project.html" title="interface in org.gradle.api"><span class="strong">Project</span></a> (also extends java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;T&gt;, org.gradle.api.plugins.<a href="../../../org/gradle/api/plugins/ExtensionAware.html" title="interface in org.gradle.api.plugins">ExtensionAware</a>)</li>
</ul>
</li>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/ProjectEvaluationListener.html" title="interface in org.gradle.api"><span class="strong">ProjectEvaluationListener</span></a></li>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/ProjectState.html" title="interface in org.gradle.api"><span class="strong">ProjectState</span></a></li>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/Rule.html" title="interface in org.gradle.api"><span class="strong">Rule</span></a></li>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/Script.html" title="interface in org.gradle.api"><span class="strong">Script</span></a></li>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/Transformer.html" title="interface in org.gradle.api"><span class="strong">Transformer</span></a>&lt;OUT,IN&gt;</li>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/XmlProvider.html" title="interface in org.gradle.api"><span class="strong">XmlProvider</span></a></li>
</ul>
<h2 title="Annotation Type Hierarchy">Annotation Type Hierarchy</h2>
<ul>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/NonExtensible.html" title="annotation in org.gradle.api"><span class="strong">NonExtensible</span></a> (implements java.lang.annotation.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/annotation/Annotation.html?is-external=true" title="class or interface in java.lang.annotation">Annotation</a>)</li>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/Nullable.html" title="annotation in org.gradle.api"><span class="strong">Nullable</span></a> (implements java.lang.annotation.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/annotation/Annotation.html?is-external=true" title="class or interface in java.lang.annotation">Annotation</a>)</li>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api"><span class="strong">Incubating</span></a> (implements java.lang.annotation.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/annotation/Annotation.html?is-external=true" title="class or interface in java.lang.annotation">Annotation</a>)</li>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/NonNullApi.html" title="annotation in org.gradle.api"><span class="strong">NonNullApi</span></a> (implements java.lang.annotation.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/annotation/Annotation.html?is-external=true" title="class or interface in java.lang.annotation">Annotation</a>)</li>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/HasImplicitReceiver.html" title="annotation in org.gradle.api"><span class="strong">HasImplicitReceiver</span></a> (implements java.lang.annotation.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/annotation/Annotation.html?is-external=true" title="class or interface in java.lang.annotation">Annotation</a>)</li>
</ul>
<h2 title="Enum Hierarchy">Enum Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="strong">Object</span></a>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang"><span class="strong">Enum</span></a>&lt;E&gt; (implements java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;T&gt;, java.io.<a href="https://docs.oracle.com/javase/7/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)
<ul>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/AntBuilder.AntMessagePriority.html" title="enum in org.gradle.api"><span class="strong">AntBuilder.AntMessagePriority</span></a></li>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api"><span class="strong">JavaVersion</span></a></li>
<li type="circle">org.gradle.api.<a href="../../../org/gradle/api/PathValidation.html" title="enum in org.gradle.api"><span class="strong">PathValidation</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/package-tree.html">Prev</a></li>
<li><a href="../../../org/gradle/api/artifacts/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/api/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
